org.appng.core.security.signing

## Class CertTools

- java.lang.Object
- - org.appng.core.security.signing.CertTools

-     public class CertTools
      extends Object

  Utility class for getting `X509Certificate`s
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertTools()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<X509Certificate>` | `addCerts(byte[] data, Collection<X509Certificate> certs)`
    `static Collection<X509Certificate>` | `addCerts(InputStream data, Collection<X509Certificate> certs)`
    `static X509Certificate` | `getCert(byte[] data)`
    `static Collection<X509Certificate>` | `getCerts(byte[] data)`
    `static CertificateFactory` | `getX509CertFactory()`
    `static byte[]` | `writeCerts(Collection<X509Certificate> certs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertTools

          public CertTools()

  - ### Method Detail

    - #### getCert

          public static X509Certificate getCert(byte[] data)
                                         throws CertificateException

      Throws:
        `CertificateException`

    - #### getCerts

          public static Collection<X509Certificate> getCerts(byte[] data)
                                                      throws CertificateException

      Throws:
        `CertificateException`

    - #### addCerts

          public static Collection<X509Certificate> addCerts(byte[] data,
                                                             Collection<X509Certificate> certs)
                                                      throws CertificateException

      Throws:
        `CertificateException`

    - #### addCerts

          public static Collection<X509Certificate> addCerts(InputStream data,
                                                             Collection<X509Certificate> certs)
                                                      throws CertificateException

      Throws:
        `CertificateException`

    - #### getX509CertFactory

          public static CertificateFactory getX509CertFactory()
                                                       throws CertificateException

      Throws:
        `CertificateException`

    - #### writeCerts

          public static byte[] writeCerts(Collection<X509Certificate> certs)
                                   throws IOException,
                                          CertificateEncodingException

      Throws:
        `IOException`
        `CertificateEncodingException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.